summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--private/viber/README6
-rw-r--r--private/viber/doinst.sh9
-rw-r--r--private/viber/slack-desc19
-rw-r--r--private/viber/viber.SlackBuild100
-rw-r--r--private/viber/viber.info10
5 files changed, 144 insertions, 0 deletions
diff --git a/private/viber/README b/private/viber/README
new file mode 100644
index 0000000..ad9e2bb
--- /dev/null
+++ b/private/viber/README
@@ -0,0 +1,6 @@
+Viber is a mobile application that allows you to make phone calls
+and send text messages to all other Viber users for free!
+
+Viber is available over WiFi or 3G.
+
+There's only available the 64bit version.
diff --git a/private/viber/doinst.sh b/private/viber/doinst.sh
new file mode 100644
index 0000000..65c7e2e
--- /dev/null
+++ b/private/viber/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/private/viber/slack-desc b/private/viber/slack-desc
new file mode 100644
index 0000000..126fc3c
--- /dev/null
+++ b/private/viber/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+viber: viber (mobile messaging application)
+viber:
+viber: Viber is a mobile application that allows you to make phone
+viber: calls and send text messages to all other Viber users for free!
+viber:
+viber:
+viber:
+viber:
+viber:
+viber:
+viber:
diff --git a/private/viber/viber.SlackBuild b/private/viber/viber.SlackBuild
new file mode 100644
index 0000000..cc1b69c
--- /dev/null
+++ b/private/viber/viber.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/bash
+#
+# Slackware build script for Viber
+
+# Copyright 2009-2017 Roberto Metere, Newcastle Upon Tyne, UK
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=viber
+VERSION=${VERSION:-7.0.0.1035}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+case "$(uname -m)" in
+ i?86) DEBARCH="i386" ; LIBDIRSUFFIX="" ; ARCH=i386 ;;
+ x86_64) DEBARCH="amd64" ; LIBDIRSUFFIX="64" ; ARCH=x86_64 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+esac
+
+# Get the real version
+REAL_VER=$(ar p ${PRGNAM}.deb control.tar.xz | tar JxO ./control | grep Version | awk '{print $2}' | cut -d- -f1)
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$REAL_VER-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}.deb data.tar.xz | xz -d | tar xv
+# Move to standard place
+mv $PKG/opt/viber/* $PKG/usr/share/viber
+rm -r $PKG/opt
+# Fix desktop launcher
+sed -i 's/\/opt\/viber\/Viber/\/usr\/bin\/ViberPC/' $PKG/usr/share/applications/viber.desktop
+
+#
+# Make a shell launcher
+#
+# In my opinion, it's a bug... that is, Viber must be called from installation path
+# or with complete path to installation path, because it looks for other files.
+# Any symbolic link or hard copy of main binary to /usr/bin would yield a
+# non-working launcher.
+#
+# ViberPC is the name of the window (it is better to call it as such for a better
+# integration with docks, like cairo-dock)
+# Anyway for compatibility with previous version a link to /usr/bin/viber is created.
+#
+mkdir -p $PKG/usr/bin
+printf "#!/bin/sh\n/usr/share/viber/Viber\n" > $PKG/usr/bin/ViberPC
+ln -s ViberPC $PKG/usr/bin/viber
+
+# Adjust ownerships and permissions
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+chmod +x $PKG/usr/bin/ViberPC
+cd
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$REAL_VER
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$REAL_VER/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$REAL_VER-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/private/viber/viber.info b/private/viber/viber.info
new file mode 100644
index 0000000..50423ea
--- /dev/null
+++ b/private/viber/viber.info
@@ -0,0 +1,10 @@
+PRGNAM="viber"
+VERSION="7.0.0.1035"
+HOMEPAGE="https://www.viber.com/products/linux"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="http://download.cdn.viber.com/cdn/desktop/Linux/viber.deb"
+MD5SUM_x86_64="4e6f4759fbaef187765190c8d6adaa72"
+REQUIRES=""
+MAINTAINER="Roberto Metere"
+EMAIL="roberto@metere.it"